/////////////////////////////////////////////////
//
// MUSE Header for .SOD
// Created Thu Aug 13 09:25:58 1992
//
/////////////////////////////////////////////////

#define NUMSOUNDS		    LASTSOUND
#define NUMSNDCHUNKS	    (STARTMUSIC + LASTMUSIC)

//
// Sound names & indexes
//
typedef enum {
        HITWALLSND,				 // 0
        MISSILEHITSND,			 // 1
        SELECTITEMSND,			 // 2
        GHOSTSIGHTSND,			 // 3
        MOVEGUN2SND,			 // 4
        MOVEGUN1SND,			 // 5
        NOWAYSND,				 // 6
        NAZIHITPLAYERSND,		 // 7
        MISSILEFIRESND,			 // 8
        PLAYERDEATHSND,			 // 9
        DOGDEATHSND,			 // 10
        ATKGATLINGSND,			 // 11
        GETKEYSND,				 // 12
        NOITEMSND,				 // 13
        WALK1SND,				 // 14
        WALK2SND,				 // 15
        TAKEDAMAGESND,			 // 16
        GAMEOVERSND,			 // 17
        OPENDOORSND,			 // 18
        CLOSEDOORSND,			 // 19
        DONOTHINGSND,			 // 20
        HALTSND,				 // 21
        DEATHSCREAM2SND,		 // 22
        ATKKNIFESND,			 // 23
        ATKPISTOLSND,			 // 24
        DEATHSCREAM3SND,		 // 25
        ATKMACHINEGUNSND,		 // 26
        HITENEMYSND,			 // 27
        SHOOTDOORSND,			 // 28
        DEATHSCREAM1SND,		 // 29
        GETMACHINESND,			 // 30
        GETAMMOSND,				 // 31
        SHOOTSND,				 // 32
        HEALTH1SND,				 // 33
        HEALTH2SND,				 // 34
        BONUS1SND,				 // 35
        BONUS2SND,				 // 36
        BONUS3SND,				 // 37
        GETGATLINGSND,			 // 38
        ESCPRESSEDSND,			 // 39
        LEVELDONESND,			 // 40
        DOGBARKSND,				 // 41
        ENDBONUS1SND,			 // 42
        ENDBONUS2SND,			 // 43
        BONUS1UPSND,			 // 44
        BONUS4SND,				 // 45
        PUSHWALLSND,			 // 46
        NOBONUSSND,				 // 47
        PERCENT100SND,			 // 48
        BOSSACTIVESND,			 // 49
        DEATHSCREAM4SND,		 // 50
        SCHUTZADSND,			 // 51
        AHHHGSND,				 // 52
        DEATHSCREAM5SND,		 // 53
        DEATHSCREAM7SND,		 // 54
        DEATHSCREAM8SND,		 // 55
        LEBENSND,				 // 56
        DEATHSCREAM6SND,		 // 57
        NAZIFIRESND,			 // 58
        BOSSFIRESND,			 // 59
        SSFIRESND,				 // 60
        SLURPIESND,				 // 61
        GHOSTFADESND,			 // 62
        DEATHSCREAM9SND,		 // 63
        GETAMMOBOXSND,			 // 64
        ANGELSIGHTSND,			 // 65
        SPIONSND,				 // 66
        NEINSOVASSND,			 // 67
        DOGATTACKSND,			 // 68
        ANGELFIRESND,			 // 69
        TRANSSIGHTSND,			 // 70
        TRANSDEATHSND,			 // 71
        WILHELMSIGHTSND,		 // 72
        WILHELMDEATHSND,		 // 73
        UBERDEATHSND,			 // 74
        KNIGHTSIGHTSND,			 // 75
        KNIGHTDEATHSND,			 // 76
        ANGELDEATHSND,			 // 77
        KNIGHTMISSILESND,		 // 78
        GETSPEARSND,			 // 79
        ANGELTIREDSND,			 // 80
        SIRENSND,				 // 81
        ACCESSDENIEDSND,		 // 82
        ACCESSGRANTEDSND,		 // 83
        PAINSCREAMSND,			 // 84
        LASTSOUND
} soundnames;

//
// Base offsets
//
#define STARTPCSOUNDS		0
#define STARTADLIBSOUNDS	LASTSOUND
#define STARTDIGISOUNDS		(2*LASTSOUND)
#define STARTMUSIC		    (3*LASTSOUND)

//
// Music names & indexes
//
typedef enum {
        INTRO_MUS,			 // 0
        MENU_MUS,			 // 1
        HSCORES_MUS,		 // 2
        READTHIS_MUS,		 // 3
        LEVELEND_MUS,		 // 4
        LEVEL1_MUS,			 // 5
        LEVEL2_MUS,			 // 6
        LEVEL3_MUS,			 // 7
        LEVEL4_MUS,			 // 8
        BOSS_MUS,			 // 9
        LEVEL6_MUS,			 // 10
        LEVEL7_MUS,			 // 11
        LEVEL8_MUS,			 // 12
        LEVEL9_MUS,			 // 13
        LEVEL11_MUS,		 // 14
        LEVEL12_MUS,		 // 15
        LEVEL13_MUS,		 // 16
        LEVEL15_MUS,		 // 17
        LEVEL16_MUS,		 // 18
        SECRET1_MUS,		 // 19
        SECRET2_MUS,		 // 20
        BADEND_MUS,			 // 21
        THEEND_MUS,			 // 22
        LASTMUSIC
} musicnames;

/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////
